int numOfSendArguments = 0;

// array for sending
int senderArguments[MAX_NUMBER_OF_ARGUMENTS];

void sendData( XBeeAddress64 addr, int func ) 
{
  // break down 10-bit reading into two bytes and place in payload
  byte payload[(numOfSendArguments*2) + 1];
  payload[0]  =  func;

  for(int i=0; i < numOfSendArguments; i++)
  {
    byte MSB       =  senderArguments[i] >> 8 & 0xff;
    byte LSB       =  senderArguments[i] & 0xff;
    payload[(i*2)+1]  =  MSB;
    payload[(i*2)+2]  =  LSB;
  }

  // Specify the address of the remote XBee (this is the SH + SL)
  XBeeAddress64 addr64 = addr;

  // Create a TX Request
  ZBTxRequest zbTx = ZBTxRequest(addr64, payload, sizeof(payload));

  // Send your request
  xbee.send(zbTx);
  clearArguments();
}

void addArgument(int a) 
{
  senderArguments[numOfSendArguments] = a;
  numOfSendArguments ++;
  if (numOfSendArguments > MAX_NUMBER_OF_ARGUMENTS) {
    // Reset all, and send a message to coordintaor that too many arguments were added.
  }
}
  
void clearArguments() 
{
  for (int i = 0; i < numOfSendArguments; i++) {
    senderArguments[i] = 0;
  }
  numOfSendArguments = 0;
}


XBeeAddress64 getAddressByName( String name )
{
  //Search through the list of known devices to see
  //if the device is known and return the address
  return XBeeAddress64(0x00000000, 0x00000000);
}

XBeeAddress64 getAddress( int ID )
{
  //Search through the list of known devices and return
  //the address at the specific location
  return XBeeAddress64(0x00000000, 0x00000000);
}

